| Extracted from Pike v7.8 release 866 at 2016-04-05.

[Top]
Search
Search.Database
Search.Database.Base

# Method Search.Database.Base()->get_document_id()

Method get_document_id

  `int get_document_id(string uri, void|string language, void|int do_not_create)`

Description

  Retrieve and possibly creates the document id corresponding to the given URI and language code.

Parameter `uri`

  The URI to be retrieved or created.

Parameter `language`

  A two letter ISO-639-1 language code, or 0 if the document is language neutral.

Parameter `do_not_create`

  If non-zero, do not create the document.

Returns

  The non-zero numeric identifier if the document identified by uri and language_code exists, or 0 otherwise.